| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ob::GyroStreamProfile Class Reference

Class representing a gyroscope stream profile. More...

`#include <StreamProfile.hpp>`

Inheritance diagram for ob::GyroStreamProfile:

## Public Member Functions
| GyroStreamProfile (StreamProfile &profile)
| GyroStreamProfile (std::unique_ptr< StreamProfileImpl > impl)
| ~GyroStreamProfile () noexcept override
OBGyroFullScaleRange | fullScaleRange () const
| Return the full scale range.
OBGyroSampleRate | sampleRate () const
| Return the sampling frequency.
OBGyroIntrinsic | getIntrinsic ()
| get the intrinsic parameters of the stream.
Public Member Functions inherited from ob::StreamProfile
| StreamProfile (std::unique_ptr< StreamProfileImpl > impl)
| StreamProfile (StreamProfile &streamProfile)
virtual | ~StreamProfile () noexcept
OBFormat | format () const
| Get the format of the stream.
OBStreamType | type () const
| Get the type of stream.
OBExtrinsic | getExtrinsicTo (std::shared_ptr< StreamProfile > target)
| Get the extrinsic parameters from current stream profile to the given target stream profile.
template<typename T >
bool | is ()
| Check if frame object is compatible with the given type.
template<typename T >
std::shared_ptr< T > | as ()
| Converts object type to target type.

## Additional Inherited Members
Protected Attributes inherited from ob::StreamProfile
std::unique_ptr< StreamProfileImpl > | impl_

## Detailed Description

Class representing a gyroscope stream profile.

Definition at line 163 of file StreamProfile.hpp.

## Constructor & Destructor Documentation

## ◆ GyroStreamProfile() [1/2]

ob::GyroStreamProfile::GyroStreamProfile | ( | StreamProfile & | profile | ) |
| explicit

## ◆ GyroStreamProfile() [2/2]

ob::GyroStreamProfile::GyroStreamProfile | ( | std::unique_ptr< StreamProfileImpl > | impl | ) |
| explicit

## ◆ ~GyroStreamProfile()

ob::GyroStreamProfile::~GyroStreamProfile | ( |  | ) |
| override noexcept

## Member Function Documentation

## ◆ fullScaleRange()

OBGyroFullScaleRange ob::GyroStreamProfile::fullScaleRange | ( |  | ) | const

Return the full scale range.

Returns
  OBAccelFullScaleRange Return the scale range value.

## ◆ sampleRate()

OBGyroSampleRate ob::GyroStreamProfile::sampleRate | ( |  | ) | const

Return the sampling frequency.

Returns
  OBAccelFullScaleRange Return the sampling frequency.

## ◆ getIntrinsic()

OBGyroIntrinsic ob::GyroStreamProfile::getIntrinsic | ( |  | ) |

get the intrinsic parameters of the stream.

Returns
  OBGyroIntrinsic Return the intrinsic parameters.

The documentation for this class was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/hpp/StreamProfile.hpp